<h4 style="text-align: center;">PENGKAJIAN AWAL PASIEN OBSTESTRI DAN GINEKOLOGI RAWAT JALAN <br> RS.AZRA BOGOR</h4>
<p style="text-align: right;">RJ 04</p>
<hr>
<div class="container" fxLayout="column" fxLayoutAlign="center" fxLayoutGap="10px">
    <div>
        <table class="border">
            <tr>
                <td style="width: 33%">
                    <table>
                        <tr>
                            <td>Nama</td>
                            <td>: {{ pengkajianControls('Nama') }} </td>
                        </tr>
                        <tr>
                            <td>Tanggal Lahir</td>
                            <td>: {{ pengkajianControls('Tgl_Lahir') | date:'dd-MM-yyyy' }}</td>
                        </tr>
                    </table>
                </td>
                <td style="width: 33%">
                    <table>
                        <tr>
                            <td>Jenis Kelamin</td>
                            <td>: {{ jenisKelamin() }} </td>
                        </tr>
                        <tr>
                            <td>Umur</td>
                            <td>: {{ pengkajianControls('Umur_Masuk') }} Tahun</td>
                        </tr>
                    </table>
                </td>
                <td style="width: 33%">
                    <table>
                        <tr>
                            <td>Nomor RM </td>
                            <td>: {{ pengkajianControls('kd_RM') }} </td>
                        </tr>
                        <tr>
                            <td>Poli</td>
                            <td>:</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td style="width: 33%">
                    <table>
                        <tr>
                            <td>Tanggal</td>
                            <td>: {{ pengkajianControls('waktu_buat') | date: 'dd-MM-yyyy' }}</td>
                        </tr>
                    </table>
                </td>
                <td style="width: 33%"></td>
                <td>
                    <table>
                        <tr>
                            <td>Jam</td>
                            <td>: {{ pengkajianControls('waktu_buat') | date: 'hh:mm' }}</td>
                        </tr>
                    </table>
                </td>

            </tr>
        </table>
    </div>
</div>

<div class="container border" style="padding: 5px;" fxLayout="column" fxLayoutAlign="center" *ngIf="pengkajianPerawatObgin">
    <h3>Pengkajian Keperawatan</h3>    
    <div class="item">
        <label>I. Tanda Vital </label>
        <table>
           <tr>
               <td>TD: {{ pengkajianControls('tanda_vital_td')}} mmHg,</td>
               <td>N: {{ pengkajianControls('tanda_vital_n') }} x/menit,</td>
               <td>RR: {{ pengkajianControls('tanda_vital_rr') }} x/menit, </td>
               <td>S: {{ pengkajianControls('tanda_vital_s') }} C</td>
           </tr>
           <tr>
               <td colspan="4">
                   Keluhan pada saat masuk : {{ pengkajianControls('keluhan_saat_masuk') }} 
               </td>
            </tr>
        </table>
    </div>

    <div class="item">
        <label>II. Fungsional </label>
        <table>
            <tbody>
                <tr>
                    <td>a. Alat Bantu </td>
                    <td style="width: 70%">: {{ pengkajianControls('fungsional_alat_bantu') }}</td>
                </tr>
                <tr>
                    <td>b. Prothesa </td>
                    <td style="width: 70%">: {{ pengkajianControls('fungsional_prothesa') }}</td>
                </tr>
                <tr>
                    <td>c. Cacat Tubuh </td>
                    <td style="width: 70%">: {{ pengkajianControls('fungsional_cacat_tubuh') }}</td>
                </tr>
                <tr>
                    <td>d. ADL: </td>
                    <td style="width: 70%">: {{ pengkajianControls('adl') == 1 ? 'Mandiri': 'Dibantu' }}</td>
                </tr>
            </tbody>
        </table>
    </div>

    <div class="item">
         <label>III. Riwayat Psikosoial dan Ekonomi</label>
         <table>
             <tr>
                 <td>a. Hubungan pasien dengan anggota keluarga: </td>
                 <td style="width: 70%" [innerHTML]="hubunganKeluarga()"></td>
             </tr>
             <tr>
                 <td>b. Status Psikologis :</td>
                 <td style="width: 70%" [innerHTML]="statusPsikologis(pengkajianControls('psikososial_status_psikologis'))"></td>
             </tr>
             <tr>
                 <td>c. Support suami / keluarga: </td>
                 <td style="width: 70%" [innerHTML]="supportKeluarga(pengkajianControls('psikososial_support_keluarga'))"></td>
             </tr>
             <tr>
                 <td>d. Pengetahuan tentang kehamilan: </td>
                 <td style="width: 70%" [innerHTML]="parentcraft(pengkajianControls('psikososial_pengetahuan_tentang_kehamilan'))"></td>
             </tr>
             <tr>
                 <td>Kecenderungan bunuh diri dilaporkan Ke</td>
                 <td style="width: 70%">{{ pengkajianControls('psikososial_kecenderungan_bunuh_diri') }}</td>
             </tr>
             <tr>
                 <td>Lainnya</td>
                 <td style="width: 70%">{{ pengkajianControls('psikososial_lainnya') }}</td>
             </tr>
         </table>
    </div>

    <div class="item">
        <label>IV. Spriritual</label>
        <table>
            <tr>
                <td>Agama: </td>
                <td style="width: 70%">: {{ agama() }}</td>
            </tr>
            <tr>
                <td>Nilai Kepercayaan </td>
                <td style="width: 70%">:{{ pengkajianControls('nilai_kepercayaan_ya') }}</td>
            </tr>
        </table>
    </div>

    <div class="item">
        <label>V. Skrining Nutrisi</label>
        <table>
            <tr>
                <td>BB: {{ pengkajianControls('skrining_nutrisi_bb') }} Kg</td>
                <td>TB: {{ pengkajianControls('skrining_nutrisi_tb') }} Cm</td>
                <td>IMT: {{ pengkajianControls('skrining_nutrisi_imt') }} Kg/m2</td>
            </tr>
        </table>
        <div style="margin:5px">
            <b>Malnutirition Skreening Tools (MST) Untuk Pasein Dewasa</b>
            <div style="margin:5px">
                <label>A. Apakah ada penurunan berat badan yang tidak diinginkan selama 6 bulan terakhir?</label>
                <table>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('penurunan_bb'))"></span> Skor 0: Tidak ada penurunan berat badan 
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(2, pengkajianControls('penurunan_bb'))"></span> Skor 2: Tidak yakin (tanda: ukuran baju atau celana menjadi longgar)
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Ada penurunan berat badan
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(3, pengkajianControls('penurunan_bb'))"></span>  Skor 1: 1-5 Kg
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(4, pengkajianControls('penurunan_bb'))"></span> Skor 2: 6-10 Kg
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(5, pengkajianControls('penurunan_bb'))"></span> Skor 3: 11-15 Kg
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(6, pengkajianControls('penurunan_bb'))"></span> Skor 4: 15 Kg
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(7, pengkajianControls('penurunan_bb'))"></span> Skor 2: tidak tahu
                        </td>
                    </tr>
                </table>
            </div>

            <div style="margin: 5px;">
                <label>B. Apakah asupan makanan menurun yang dikarenakan adanya penurunan nafsu makan / kesulitan menerima makanan?</label>
                <table>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('penurunan_nafsu_makan'))"></span> Skor 0: Tidak
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(2, pengkajianControls('penurunan_nafsu_makan'))"></span> Skor 1: Ya
                        </td>
                    </tr>
                </table>
            </div>

            <div style="margin: 5px">
                <label>C. Apakah diagnosa pasien berhubungan dengan gizi?</label>
                <table>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('diagnosa_berhubungan_dengan_gizi'))"></span> Skor 0: Tidak
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(2, pengkajianControls('diagnosa_berhubungan_dengan_gizi'))"></span> Skor 1: Ya
                        </td>
                    </tr>
                </table>
                <p>
                    <label>Total Skor A + B + C = {{ skor_bb + skor_nafsu_makan + skor_gizi }}</label> <br>
                    <b>Keterangan</b> <br>
                    Skor 0-1: Tidak beresiko, Skor > 2 : Beresiko (asuhan gizi oleh dietisien)
                </p>
            </div>
        </div>
    </div>

    <br>

    <div class="item">
        <div>
            <label>V. Skala Nyeri</label>
        </div>
        <div fxLayout="row wrap" fxLayoutGap="1%">
            <div fxFlex="49%" fxLayout="column">
                <table fxFlex="100%" style="margin: 5px; text-align: center;">
                    <tr>
                        <td><span [innerHTML]="checkedIcon(0, pengkajianControls('skala_nyeri'))"></span> 0 </td>
                        <td><span [innerHTML]="checkedIcon(1, pengkajianControls('skala_nyeri'))"></span> 1 </td>
                        <td><span [innerHTML]="checkedIcon(2, pengkajianControls('skala_nyeri'))"></span> 2 </td>
                        <td><span [innerHTML]="checkedIcon(3, pengkajianControls('skala_nyeri'))"></span> 3 </td>
                        <td><span [innerHTML]="checkedIcon(4, pengkajianControls('skala_nyeri'))"></span> 4 </td>
                        <td><span [innerHTML]="checkedIcon(5, pengkajianControls('skala_nyeri'))"></span> 5 </td>
                        <td><span [innerHTML]="checkedIcon(6, pengkajianControls('skala_nyeri'))"></span> 6 </td>
                        <td><span [innerHTML]="checkedIcon(7, pengkajianControls('skala_nyeri'))"></span> 7 </td>
                        <td><span [innerHTML]="checkedIcon(8, pengkajianControls('skala_nyeri'))"></span> 8 </td>
                        <td><span [innerHTML]="checkedIcon(9, pengkajianControls('skala_nyeri'))"></span> 9 </td>
                        <td><span [innerHTML]="checkedIcon(10, pengkajianControls('skala_nyeri'))"></span> 10 </td>
                    </tr>
                </table>
                <img src="/assets/images/nyeri.png" fxFlex="100%" style="height: 100%; width: 100%; margin-bottom: 12px;">
            </div>
            <div fxFlex="49%" class="border">
                <table class="simple invoice-table">
                    <tr>
                        <td>Nyeri di provokasi oleh:</td>
                        <td>{{ pengkajianControls('nyeri_diprovokasi_oleh') }}</td>
                    </tr>
                    <tr>
                        <td>Sifat Nyeri:</td>
                        <td>{{ pengkajianControls('sifat_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Lokasi nyeri:</td>
                        <td>{{ pengkajianControls('lokasi_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Penjalaran nyeri:</td>
                        <td>{{ pengkajianControls('penjalaran_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Skala nyeri:</td>
                        <td>{{ pengkajianControls('skala_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Durasi nyeri:</td>
                        <td>{{ pengkajianControls('durasi_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Frekuensi:</td>
                        <td>{{ pengkajianControls('frekuensi') }}</td>
                    </tr>
                </table>
            </div>
        </div>

        <div>
            <div>
                <table>
                    <tr>
                        <td><span [innerHTML]="checkedIcon('', pengkajianControls('nyeri'))"></span> Tidak Ada nyeri </td>
                        <td><span [innerHTML]="checkedIcon(1, pengkajianControls('nyeri'))"></span> Nyeri Akut </td>
                        <td><span [innerHTML]="checkedIcon(2, pengkajianControls('nyeri'))"></span> Nyeri Kronis </td>
                    </tr>
                </table>
            </div>
            <div>
                <table>
                    <tr>
                        <td colspan="5">Nyeri hilang bila:</td>
                    </tr>
                    <tr>
                        <td><span [innerHTML]="checkedIcon(1, pengkajianControls('nyeri_hilang_bila'))"></span> Minum Obat </td>
                        <td><span [innerHTML]="checkedIcon(2, pengkajianControls('nyeri_hilang_bila'))"></span> Istirahat </td>
                        <td><span [innerHTML]="checkedIcon(3, pengkajianControls('nyeri_hilang_bila'))"></span> Mendengar musik </td>
                        <td><span [innerHTML]="checkedIcon(4, pengkajianControls('nyeri_hilang_bila'))"></span> Berubah Posisi / tidur </td>                
                        <td><span [innerHTML]="checkedIcon(5, pengkajianControls('nyeri_hilang_bila'))"></span> Lain-lain : {{  pengkajianControls('nyeri_hilang_bila_lainnya') }} </td>
                    </tr>
                </table>
            </div>
        </div>
    </div>

    <div class="item" fxLayout="column">
        <label>VI. Skrining Risiko Cedera / Jatuh</label>
        <div class="item">
            <p>A. Pada Pasien Dewasa (berdasarkan MORSE)</p>
            <table style="text-align: left;" class="table">
                <thead>
                    <tr>
                        <th style="width: 40%;">Faktor Risiko</th>
                        <th style="width: 40%;">Skala</th>
                        <th style="width: 20%;">Skor</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <th>Riwayat Jatuh</th>
                        <td>
                            <div fxLayout="column" fxLayoutGap="1%">
                                <p><span [innerHTML]="checkedIcon(1, pengkajianControls('dewasa_riwayat_jatuh'))"></span> Ya (Skor : 25)</p>
                                <p><span [innerHTML]="checkedIcon(2, pengkajianControls('dewasa_riwayat_jatuh'))"></span> Tidak (Skor : 0)</p>
                            </div>
                        </td>
                        <td>
                            {{DewasaRiwayatJatuh}}
                        </td>
                    </tr>
                    <tr>
                        <th>Diagnosa sekunder (&ge; 2 diagnosa medis)</th>
                        <td>
                            <div fxLayout="column" fxLayoutGap="1%">
                                
                                <p><span [innerHTML]="checkedIcon(1, pengkajianControls('dewasa_diagnosa_sekunder'))"></span>Ya (Skor : 15) </p>
                                <p><span [innerHTML]="checkedIcon(2, pengkajianControls('dewasa_diagnosa_sekunder'))"></span> Tidak (Skor : 0) </p>
                                
                            </div>
                        </td>
                        <td>
                            {{DewasaDiagnosaSekunder}}
                        </td>
                    </tr>
                    <tr>
                        <th>Alat Bantu</th>
                        <td>
                            <div fxLayout="column" fxLayoutGap="1%">
                                
                                <p><span [innerHTML]="checkedIcon(1, pengkajianControls('dewasa_alat_bantu'))"></span>
                                    Berpegangan pada perabot (Skor : 30)
                                </p>
                                <p><span [innerHTML]="checkedIcon(2, pengkajianControls('dewasa_alat_bantu'))"></span>
                                    Tongkat / alat penopang (Skor : 15)
                                </p>
                                <p><span [innerHTML]="checkedIcon(3, pengkajianControls('dewasa_alat_bantu'))"></span>
                                    Tidak ada / kursi roda / perawat / tirah baring (Skor : 0)
                                </p>
                            </div>
                        </td>
                        <td>
                            {{DewasaAlatBantu}}
                        </td>
                    </tr>
                    <tr>
                        <th>Terpasang infus</th>
                        <td>
                            <div fxLayout="column" fxLayoutGap="1%">
                                <p><span [innerHTML]="checkedIcon(1, pengkajianControls('dewasa_terpasang_infus'))"></span>Ya (Skor : 20)
                                </p>
                                <p><span [innerHTML]="checkedIcon(2, pengkajianControls('dewasa_terpasang_infus'))"></span>Tidak (Skor : 0)
                                </p>
                            </div>
                        </td>
                        <td>
                            {{DewasaTerpasangAlat}}
                        </td>
                    </tr>
                    <tr style="page-break-before: avoid;">
                        <th>Gaya berjalan</th>
                        <td>
                            <div fxLayout="column" fxLayoutGap="1%">
                                
                                <p><span [innerHTML]="checkedIcon(1, pengkajianControls('dewasa_gaya_berjalan'))"></span> Terganggu (Skor : 20)
                                </p>
                                <p><span [innerHTML]="checkedIcon(2, pengkajianControls('dewasa_gaya_berjalan'))"></span> Lemah (Skor : 10)
                                </p>
                                <p><span [innerHTML]="checkedIcon(3, pengkajianControls('dewasa_gaya_berjalan'))"></span> Normal / tirah baring / imobilisasi (Skor : 0)
                                </p>
                            </div>
                        </td>
                        <td>
                            {{DewasaGayaBerjalan}}
                        </td>
                    </tr>
                    <tr>
                        <th>Status Mental</th>
                        <td>
                            <div fxLayout="column" fxLayoutGap="1%">
                                
                                <p><span [innerHTML]="checkedIcon(1, pengkajianControls('dewasa_status_mental'))"></span> Sering Lupa akan keterbatasan yang dimiliki (Skor : 15)
                                </p>
                                <p><span [innerHTML]="checkedIcon(1, pengkajianControls('dewasa_status_mental'))"></span> Sadar akan kemampuan diri sendiri (Skor : 0)
                                </p>
                            
                            </div>
                        </td>
                        <td>
                            {{DewasaStatusMental}}
                        </td>
                    </tr>
                    <tr>
                        <th>Total Skor</th>
                        <td colspan="2">{{DewasaTotal}}</td>
                    </tr>
                    <tr>
                        <th colspan="3">Keterangan : {{DewasaKeterangan}}</th>
                    </tr>
                </tbody>
            </table>
            <br>
            <br>
            
        </div>
        
        <div class="item" *ngIf="pasienlansia">
            <p>B. Pada Pasien Lanjut Usia (Berdasarkan ONTARIO MODIFIED STRATIFY - SYDNEY SCORING)</p>
            <table class="table">
                <tr>
                    <th>Parameter</th>
                    <th>Skrining</th>
                    <th>Jawaban</th>
                    <th>Skor</th>
                </tr>
                <tr>
                    <th rowspan="2">Riwayat Jatuh</th>
                    <td>Apakah pasien datang kerumah sakit karena jatuh?</td>
                    <td>
                        <div fxLayout="column" fxLayoutGap="1%">
                            <p>
                                <span [innerHTML]="checkedIcon(1, pengkajianControls('lansia_riwayat_jatuh_karena_jatuh'))"></span> Ya ( Skor : 6)
                            </p>
                            <p>
                                <span [innerHTML]="checkedIcon(2, pengkajianControls('lansia_riwayat_jatuh_karena_jatuh'))"></span> Tidak ( Skor : 0)
                            </p>
                        </div>
                    </td>
                    <td rowspan="2"> {{LansiaRiwayatJatuh}} </td>
                </tr>
                <tr>
                    <td>Jika tidak, apakah pasien mengalami jatuh dalam 2 bulan terakhir ini?</td>
                    <td>
                        <div fxLayout="column" fxLayoutGap="1%">
                            
                            <p><span [innerHTML]="checkedIcon(1, pengkajianControls('lansia_riwayat_jatuh_dalam_dua_bulan'))"></span> Ya ( Skor : 6)
                            </p>
                            <p><span [innerHTML]="checkedIcon(2, pengkajianControls('lansia_riwayat_jatuh_dalam_dua_bulan'))"></span> Tidak ( Skor : 0)
                            </p>
                        
                        </div>
                    </td>
                </tr>
                <tr>
                    <th rowspan="3">Status mental</th>
                    <td>Apakah pasien delirium? (tidakdapat membuat keputusan, pola pikir tidak terorganisir, gangguan daya ingat)</td>
                    <td>
                        <div fxLayout="column" fxLayoutGap="1%">                        
                            <p><span [innerHTML]="checkedIcon(1, pengkajianControls('lansia_status_mental_delirium'))"></span> Skor 14: Ya
                            </p>
                            <p><span [innerHTML]="checkedIcon(2, pengkajianControls('lansia_status_mental_delirium'))"></span> Skor 0: Tidak
                            </p>                      
                        </div>
                    </td>
                    <td rowspan="3"> {{LansiaStatusMental}} </td>
                </tr>
                <tr>
                    <td>Apakah pasien disorientasi? (salah menyebutkan waktu, tempat atau orang)</td>
                    <td>
                        <div  fxLayout="column" fxLayoutGap="1%">
                            
                            <p><span [innerHTML]="checkedIcon(1, pengkajianControls('lansia_status_mental_disorientasi'))"></span> >Skor 14: Ya
                            </p>
                            <p><span [innerHTML]="checkedIcon(2, pengkajianControls('lansia_status_mental_disorientasi'))"></span>Skor 0:Tidak
                            </p>
                        
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>Apakah pasien mengalami agitasi? (ketakutan, gelisah dan cemas)</td>
                    <td>
                        <div fxLayout="column" fxLayoutGap="1%">
                            
                            <p><span [innerHTML]="checkedIcon(1, pengkajianControls('lansia_status_mental_agitasi'))"></span>Skor 14: Ya
                            </p>
                            <p><span [innerHTML]="checkedIcon(2, pengkajianControls('lansia_status_mental_agitasi'))"></span>Skor 0:Tidak
                            </p>
                        </div>
                    </td>
                </tr>

                <tr>
                    <th rowspan="3">Penglihatan</th>
                    <td>Apakah pasien memakai kacamata?</td>
                    <td>
                        <div fxLayout="column" fxLayoutGap="1%">
                            
                            <p><span [innerHTML]="checkedIcon(1, pengkajianControls('lansia_pengelihatan_kacamata'))"></span>Skor 1: Ya
                            </p>
                            <p><span [innerHTML]="checkedIcon(2, pengkajianControls('lansia_pengelihatan_kacamata'))"></span>Skor 0: Tidak
                            </p>
                        
                        </div>
                    </td>
                    <td rowspan="3"> {{LansiaPenglihatan}} </td>
                </tr>
                <tr>
                    <td>Apakah pasien mengeluh adanya penglihatan buram?</td>
                    <td>
                        <div fxLayout="column" fxLayoutGap="1%">
                            
                            <p><span [innerHTML]="checkedIcon(1, pengkajianControls('lansia_pengelihatan_buram'))"></span> Skor 1: Ya
                            </p>
                            <p><span [innerHTML]="checkedIcon(2, pengkajianControls('lansia_pengelihatan_buram'))"></span> Skor 0: Tidak
                            </p>
                        
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>Apakah pasien mempunyai glaukoma/katarak/degenerasi makula?</td>
                    <td>
                        <div fxLayout="column" fxLayoutGap="1%">
                            
                            <p><span [innerHTML]="checkedIcon(1, pengkajianControls('lansia_pengelihatan_katarak'))"></span> Skor 1:Ya
                            </p>
                            <p><span [innerHTML]="checkedIcon(2, pengkajianControls('lansia_pengelihatan_katarak'))"></span> Skor 0:Tidak
                            </p>
                        
                        </div>
                    </td>
                </tr>
                <tr>
                    <th>Kebiasaan berkemih</th>
                    <td>Apakah terdapat perubahan perilaku berkemih? (frekuensi, urgensi, inkontinensia, nokturia)
                    </td>
                    <td>
                        <div fxLayout="column" fxLayoutGap="1%">
                            
                            <p><span [innerHTML]="checkedIcon(1, pengkajianControls('lansia_kebiasaan_berkemih'))"></span> Skor 2: Ya
                            </p>
                            <p><span [innerHTML]="checkedIcon(2, pengkajianControls('lansia_kebiasaan_berkemih'))"></span> Skor 0: Tidak
                            </p>
                        
                        </div>
                    </td>
                    <td> {{LansiaKebiasaanBerkemih}} </td>
                </tr>

                <tr>
                    <th>Transfer <br> (dari tempat tidur ke <br> kursi dan kembali lagi <br> ke tempat tidur)</th>

                    <td colspan="2">
                        <div fxLayout="column" fxLayoutGap="1%">
                            <div fxLayout="row" fxLayoutAlign="start start" fxLayoutGap="1%">
                                <p><span [innerHTML]="checkedIcon(1, pengkajianControls('lansia_transfer'))"></span> Skor 0:  Mandiri (boleh memakai alat bantu jalan)
                                </p>
                            </div>
                            <div fxLayout="row" fxLayoutAlign="start start" fxLayoutGap="1%">
                                <p><span [innerHTML]="checkedIcon(2, pengkajianControls('lansia_transfer'))"></span>Skor 1: Memerlukan sedikit bantuan (1 orang) / dalam pengawasan
                                </p>

                            </div>
                            <div fxLayout="row" fxLayoutAlign="start start" fxLayoutGap="1%">
                                <p><span [innerHTML]="checkedIcon(3, pengkajianControls('lansia_transfer'))"></span>Skor 2: Memerlukan bantuan yang nyata (2
                                    orang)
                                </p>
                            </div>
                            <div fxLayout="row" fxLayoutAlign="start start" fxLayoutGap="1%">
                                <p><span [innerHTML]="checkedIcon(4, pengkajianControls('lansia_transfer'))"></span>Skor 3: Tidak dapat duduk dengan seimbang, perlu bantuan total
                                </p>
                            </div>
                        
                        </div>
                    </td>
                    <td rowspan="2"> {{LansiaTranferMobilitas}} </td>
                </tr>

                <tr>
                    <th>Mobilitas</th>
                    <td colspan="2">
                        <div fxLayout="column" fxLayoutGap="1%">
                            <div fxLayout="row" fxLayoutAlign="start start" fxLayoutGap="1%">
                                <p><span [innerHTML]="checkedIcon(1, pengkajianControls('lansia_mobilitas'))"></span> Skor 0: Mandiri (boleh memakai alat bantu
                                    jalan)
                                </p>
                            </div>
                            <div fxLayout="row" fxLayoutAlign="start start" fxLayoutGap="1%">
                                <p><span [innerHTML]="checkedIcon(2, pengkajianControls('lansia_mobilitas'))"></span> Skor 1: berjalan dengan bantuan 1 orang (verbal/fisik)
                                </p>

                            </div>
                            <div fxLayout="row" fxLayoutAlign="start start" fxLayoutGap="1%">
                                <p><span [innerHTML]="checkedIcon(3, pengkajianControls('lansia_mobilitas'))"></span> Skor 2: Menggunakan kursi roda
                                </p>

                            </div>
                            <div fxLayout="row" fxLayoutAlign="start start" fxLayoutGap="1%">
                                <p><span [innerHTML]="checkedIcon(4, pengkajianControls('lansia_mobilitas'))"></span>Skor 3: Imobilisasi
                                </p>
                            </div>
                        
                        </div>
                    </td>
                </tr>
                <tr>
                    <th colspan="3">Total Skor</th>
                    <td> {{LansiaTotalSkor}} </td>
                </tr>
                <tr>
                    <th colspan="4">Keterangan: {{LansiaKeterangan}} </th>
                </tr>
            </table>
        </div>
    </div>

    <div class="item" style="page-break-after: always; page-break-before: always;">
        <label>VII. Riwayat Kesehatan</label>
        <div style="margin: 5px">
            <p>a. Penyakit yang pernah di derita: {{ pengkajianControls('riwayat_kesehatan_penyakit_yang_diderita') }}</p>
            <p>b. Riwayat Pengobatan saat dirumah: <span [innerHTML]="checkedIcon(1, pengkajianControls('riwayat_kesehatan_pengobatan_di_rumah'))"></span>Tidak <span [innerHTML]="checkedIcon(2, pengkajianControls('riwayat_kesehatan_pengobatan_di_rumah'))"></span>YA</p>
        </div>
        <div style="margin: 5px;">
             <table class="table">
                <thead>
                    <tr style="text-align: center;">
                        <th>No</th>
                        <th>Nama Obat</th>
                        <th>Dosis</th>
                        <th>Cara Pemberian</th>
                        <th>Frekuensi</th>
                        <th>Waktu & Tanggal <br> terakhir diberikan</th>
                    </tr>
                </thead>
                <tbody *ngFor="let riwayatpengobatans of pengkajianPerawatObgin.get('obatBidan')['controls']; let i=index">
                    <tr style="text-align: center;">
                        <td>{{ i+1 }}</td>
                        <td>{{ riwayatpengobatans.controls.nama.value }}</td>
                        <td>{{ riwayatpengobatans.controls.dosis.value }}</td>
                        <td>{{ riwayatpengobatans.controls.cara_pemberian.value }}</td>
                        <td>{{ riwayatpengobatans.controls.frekuensi.value }}</td>
                        <td>{{ riwayatpengobatans.controls.Waktu_Pemberian_InfusObat.value | date:'dd-MM-yyyy' }}</td>                
                    </tr>
                </tbody>          
            </table>

            <table>
                <tr>
                    <td>a. Operasi yang pernah dialami (jenis, kapan, komplikasi yang ada)</td>
                    <td>{{ pengkajianControls('operasi_yang_pernah_dialami') }}</td>
                </tr>
                <tr>
                    <td>b. Faktor keturunam gemeli: </td>
                    <td><span [innerHTML]="checkedIcon(1, pengkajianControls('faktor_keturunan_gemeli'))"></span>Tidak   <span [innerHTML]="checkedIcon(2, pengkajianControls('faktor_keturunan_gemeli'))"></span>Ya</td>
                </tr>
                <tr>
                    <td>c. Riwayat Penyakit Herediter: </td>
                    <td><span [innerHTML]="checkedIcon(1, pengkajianControls('riwayat_penyakit_herediter'))"></span>Tidak ada  <span [innerHTML]="checkedIcon(2, pengkajianControls('riwayat_penyakit_herediter'))"></span>ada, jelaskan: {{ pengkajianControls('riwayat_penyakit_herediter_jelaskan') }} </td>
                </tr>
                <tr>
                    <td>d. Riwayat Penyakit dalam keluarga saat ini: </td>
                    <td>{{ pengkajianControls('riwayat_penyakit_keluarga') }}</td>
                </tr>
                <tr>
                    <td>e. Ketergantungan terhadap: </td>
                    <td><span [innerHTML]="checkedIcon(1, pengkajianControls('ketergantungan_terhadap'))"></span>Obat-Obatan  <span [innerHTML]="checkedIcon(2, pengkajianControls('ketergantungan_terhadap'))"></span>Rokok <span [innerHTML]="checkedIcon(3, pengkajianControls('ketergantungan_terhadap'))"></span>Alkohol <span [innerHTML]="checkedIcon(4, pengkajianControls('ketergantungan_terhadap'))"></span>Tidak ada <span [innerHTML]="checkedIcon(5, pengkajianControls('ketergantungan_terhadap'))"></span>Lainnya, {{ pengkajianControls('ketergantungan_terhadap_lainnya') }} </td>
               </tr>
               <tr>
                    <td>f. Riwayat Pekerjaan (apakah berhubungan dengan zat-zat berbahaya): </td>
                    <td><span [innerHTML]="checkedIcon(1, pengkajianControls('riwayat_perkerjaan_berhubungan_dengan_zat'))"></span>Tidak  <span [innerHTML]="checkedIcon(2, pengkajianControls('riwayat_perkerjaan_berhubungan_dengan_zat'))"></span>Ya, {{ pengkajianControls('riwayat_perkerjaan_berhubungan_dengan_zat_ya') }}</td>
               </tr>
            </table>
        </div>
    </div>

    <div class="item">
        <label>VII. Riwayat Kehamilan / Persalinan yang lalu</label>
        <div style="margin: 5px;">
            <table class="table">
                <thead>
                    <tr style="text-align: center;">
                        <th>No</th>
                        <th>P/L</th>
                        <th>Umur Anak</th>
                        <th>KU Anak</th>
                        <th>BBL (gram)/PB (cm)</th>
                        <th>Riwayat Persalinan</th>
                        <th>Ditolong oleh & Tempat</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let riwayatkehamilans of pengkajianPerawatObgin.get('riwayatKehamilan')['controls']; let i=index" style="text-align: center;">
                        <td>No</td>
                        <td>
                            <p *ngIf="riwayatkehamilans.controls['jenis_kelamin']?.value == '1'">
                                {{ riwayatkehamilans.controls['jenis_kelamin']?.value == '1' ? 'L': '' }}
                            </p>
                            <p *ngIf="riwayatkehamilans.controls['jenis_kelamin']?.value == '2'">
                                {{ riwayatkehamilans.controls['jenis_kelamin']?.value == '2' ? 'P': '' }}
                            </p>
                        </td>
                        <td>{{ riwayatkehamilans.controls.umur_anak?.value }}</td>
                        <td>{{ riwayatkehamilans.controls.ku_anak?.value }}</td>
                        <td>{{ riwayatkehamilans.controls.bbl?.value }} / {{ riwayatkehamilans.controls.pb?.value }}</td>
                        <td>{{ riwayatkehamilans.controls.riwayat_persalinan?.value }}</td>
                        <td>{{ riwayatkehamilans.controls.ditolong_oltempat?.value }}</td>
                    </tr>
                </tbody>
            </table>
            <div style="margin: 5px">
                <label>a. Riwayat Obstetri</label>
                <div style="margin:5px">
                    <table>
                        <tr>
                            <td>a. Menarche</td>
                            <td>: Umur {{ pengkajianControls('riwayat_obstetri_menarche') }}tahun</td>
                        </tr>
                        <tr>
                            <td>b. Menstruasi</td>
                            <td>
                                <p><span [innerHTML]="checkedIcon(1, pengkajianControls('riwayat_obstetri_menstruasi'))"></span>Teratur, siklus {{ pengkajianControls('riwayat_obstetri_menstruasi_teratur') }}</p>
                                <p><span [innerHTML]="checkedIcon(2, pengkajianControls('riwayat_obstetri_menstruasi'))"></span>Tidak Teratur, siklus {{ pengkajianControls('riwayat_obstetri_menstruasi_tidak_teratur') }}</p>
                            </td>
                        </tr>
                        <tr>
                            <td>c. Sakit saat menstruasi </td>
                            <td>: <span [innerHTML]="checkedIcon(1, pengkajianControls('riwayat_obstetri_sakit_menstruasi'))"></span>Tidak <span [innerHTML]="checkedIcon(2, pengkajianControls('riwayat_obstetri_sakit_menstruasi'))"></span>Ya</td>
                        </tr>
                        <tr>
                            <td>d. menikah yang ke</td>
                            <td>: {{ pengkajianControls('riwayat_obstetri_menikah_yang_ke') }}kali, lamanya pernikahan {{ pengkajianControls('riwayat_obstetri_menikah_lama') }}</td>
                        </tr>
                        <tr>
                            <td>e. Kontrasepsi yang pernah digunakan</td>
                            <td>: {{ pengkajianControls('riwayat_obstetri_kontrasepsi_yang_pernah_digunakan') }}, lamanya: {{ pengkajianControls('riwayat_obstetri_kontrasepsi_lamanya') }}</td>
                        </tr>
                    </table>
                </div>
            </div>   
            
            <div style="margin:5px">
                <label>b. Data Kehamilan Sekarang</label>
                <table>
                    <tr>
                        <td>G: {{ pengkajianControls('data_kehamilan_sekarang_g') }}, P: {{ pengkajianControls('data_kehamilan_sekarang_p') }}, A: {{ pengkajianControls('data_kehamilan_sekarang_a') }}, HPHT (Hari Pertama Haid Terakhir)</td>
                        <td>: {{ pengkajianControls('data_kehamilan_sekarang_hpht') }}</td>
                    </tr>
                    <tr>
                        <td>HPL (Hari Perkiraan Lahir)</td>
                        <td>: {{ pengkajianControls('data_kehamilan_sekarang_hpl') }}</td>
                    </tr>
                    <tr>
                        <td>Keluhan yang dirasakan selama hamil ini</td>
                        <td>: {{ pengkajianControls('data_kehamilan_sekarang_keluhan') }}</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>

    <div class="item">
        <label>IX. KEBUTUHAN KOMUNIKASI/PENDIDIKAN DAN PENGAJARAN BICARA</label>
        <div style="margin: 5px">
            <table>
                <tr>
                    <td>Bicara: </td>
                    <td> <span [innerHTML]="checkedIcon(1, pengkajianControls('bicara'))"></span> Bicara <span [innerHTML]="checkedIcon(2, pengkajianControls('bicara'))"></span>Serangan awal gangguan bicara, sejak: {{ pengkajianControls('bicara_sejak') }}</td>
                </tr>
                <tr>
                    <td>Bahasa Sehari-hari: </td>
                    <td>
                       <p><span [innerHTML]="checkedIcon(1, pengkajianControls('bahasa_sehari_hari'))"></span> Indonesia <span [innerHTML]="checkedIcon(3, pengkajianControls('bahasa_sehari_hari'))"></span>Daerah: {{ pengkajianControls('bahasa_daerah') }}</p>
                       <p><span [innerHTML]="checkedIcon(2, pengkajianControls('bahasa_sehari_hari'))"></span> Inggris <span [innerHTML]="checkedIcon(4, pengkajianControls('bahasa_sehari_hari'))"></span>Lainnya: {{ pengkajianControls('bahasa_bahasa') }}</p>
                    </td>
                </tr>
                <tr>
                    <td>Perlu penterjemah:</td>
                    <td>
                        <p><span [innerHTML]="checkedIcon(1, pengkajianControls('perlu_penterjemah'))"></span> Tidak <span [innerHTML]="checkedIcon(2, pengkajianControls('perlu_penterjemah'))"></span>Ya Bahasa: {{ pengkajianControls('perlu_penterjemah_bahasa') }}</p>
                        <p><span [innerHTML]="checkedIcon(3, pengkajianControls('perlu_penterjemah'))"></span> Bahasa Isyarat <span [innerHTML]="checkedIcon(1, pengkajianControls('perlu_penterjemah_isyarat'))"></span>Tidak <span [innerHTML]="checkedIcon(2, pengkajianControls('perlu_penterjemah_isyarat'))"></span>Ya</p>
                    </td>
                </tr>
                <tr>
                    <td>Hambatan Belajar: </td>
                    <td>{{ pengkajianControls('habatan_belajar') }}</td>
                </tr>
                <tr>
                    <td>Cara Belajar Yang disukai: </td>
                    <td>{{ pengkajianControls('cara_belajar_yang_disukai') }}</td>
                </tr>
                <tr>
                    <td>Tingkatan Pendidikan: </td>
                    <td>
                        <span [innerHTML]="checkedIcon(1, pengkajianControls('tingkatan_pendidikan'))"></span> TK
                        <span [innerHTML]="checkedIcon(2, pengkajianControls('tingkatan_pendidikan'))"></span> SD
                        <span [innerHTML]="checkedIcon(3, pengkajianControls('tingkatan_pendidikan'))"></span> SMP
                        <span [innerHTML]="checkedIcon(4, pengkajianControls('tingkatan_pendidikan'))"></span> SMA
                        <span [innerHTML]="checkedIcon(5, pengkajianControls('tingkatan_pendidikan'))"></span> Akademik
                        <span [innerHTML]="checkedIcon(6, pengkajianControls('tingkatan_pendidikan'))"></span> Sarjana
                        <span [innerHTML]="checkedIcon(7, pengkajianControls('tingkatan_pendidikan'))"></span> Lain-Lain
                    </td>
                </tr>
                <tr>
                    <td>Potensi Kebutuhan Pembelajaran:</td>
                    <td>{{ pengkajianControls('potensi_kebutuhan_pembelajaran') }}</td>
                </tr>
                <tr>
                    <td>Pasien bersedia menerima edukasi:</td>
                    <td>
                        <span [innerHTML]="checkedIcon(1, pengkajianControls('pasien_bersedia_menerima_edukasi'))"></span> Ya
                        <span [innerHTML]="checkedIcon(2, pengkajianControls('pasien_bersedia_menerima_edukasi'))"></span> Tidak
                    </td>
                </tr>

            </table>
        </div>

        <div style="width: 100%; display: flex; flex-direction: row; overflow: hidden;">
            <div style="width: 65%;"></div>
            <div style="width: 35%; text-align: center; page-break-inside: avoid;">
                <p style="margin: 0; padding: 0;">
                    Tanggal, {{pengkajianControls('waktu_buat') | date: 'd MMMM yyyy' }}, jam {{ pengkajianControls('waktu_buat') | date: 'hh:mm' }} <br> 
                    Perawat yang melakukan pengkajian <br>
                    <img style="height: 50pt; margin: 0; object-fit: contain; border: none;" *ngIf="perawat?.TTD" [src]="tandatangan"> <br>
                    {{ perawat ? perawat.NAMA : '' }}
                </p>
            </div>
        </div>
    </div>
</div>